"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.decrypt = void 0;
const romulus_m_1 = require("./romulus-m");
function decrypt(ciphertext, associatedData, nonce, key) {
    const plaintext = (0, romulus_m_1.cryptoAeadDecrypt)(Array.from(ciphertext), Array.from(associatedData), Array.from(nonce), Array.from(key));
    return Buffer.from(plaintext);
}
exports.decrypt = decrypt;
//# sourceMappingURL=decrypt.js.map