"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.encrypt = void 0;
const romulus_m_1 = require("./romulus-m");
function encrypt(message, associatedData, nonce, key) {
    const ciphertext = (0, romulus_m_1.cryptoAeadEncrypt)(Array.from(message), Array.from(associatedData), Array.from(nonce), Array.from(key));
    return Buffer.from(ciphertext);
}
exports.encrypt = encrypt;
//# sourceMappingURL=encrypt.js.map